Subject: Key+Mouse bindings

From: Tomas Ogren <[email-masked]>
Date: Sun, 28 Nov 1999 09:52:00 +0100

Since the decor_w stuff was introduced, closing windows with mouse+key
stopped working...

functions.c in DeferExecution: (search for 'mess' ;P )

  if((*w != original_w)&&(original_w != Scr.Root)&&
     (original_w != None)&&(original_w != Scr.NoFocusWin))
  {
    if(!((*w == (*tmp_win)->decor_w)&&
         (original_w == (*tmp_win)->w)))
    {
       ... bail out

*w=0x8000a7
original_w=0x500000e
(*tmp_win)->decor_w=0x8000a8
(*tmp_win)->w=0x500000e

It looks like it's comparing the wrong windows... but I don't really
know which one is to be compared to which, so I leave that up to someone
who knows...

How to test:
Mouse 1 W CS Close
And click on a window with Ctrl+Shift.. You'll get a beep..

Also, it seems a bit more sluggish nowadays.. we just got a bit faster
machines here (still pretty slow, but..) and now they're almost back to
the old speed 8( As I understand it, there's one more level of windows
in every window now.. right? Could that add the slowness when flipping
pages etc?

Btw, I dig TitleOnBottom 8)

/Tomas
-- 
Tomas Ögren, [email-masked], http://www.ing.umu.se/~stric/
|- Student at Computing Science, University of Umeå
`- Sysadmin at {cs,ing,acc}.umu.se
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]